/* $Workfile: OdSpm1I.h $   $Revision: 1 $    $Modtime: 7/25/08 3:41p $  */
#ifndef DSP_OTXSPM1_IO_H
#define DSP_OTXSPM1_IO_H
/*------------------------------------------------------- File Description -*\

  Copyright (C) Odin TeleSystems Inc., 1997-2008

  DESCRIPTION

    Macros and structs that unique for the OtxSpm2 SPM (even though name
    might indicate that file is for OtxSpm1).


\*--------------------------------------------------------------------------*/


#define SPM1_NO_OF_POTS_LI 1 // We have only one Pots Li interface per chip
#define BUF_SZ CH_DATA_SIZE


typedef struct {
  unsigned short inputDataFormat;
  unsigned short nPayloadType;
  unsigned short nBurstMs;
  
  unsigned short coCodecInit;
  unsigned short CodecInit[1]; // Should be last in structure
  
} OtxSpm1IoInVoiceEncoderInitS;

typedef struct {
  unsigned short nPayloadType;
  unsigned short nPortionMs;  
  
} OtxVoiceEncoderInitS;

typedef struct {
  unsigned short outputDataFormat;
  unsigned short nPayloadType;
  
  unsigned short coCodecInit;
  unsigned short CodecInit[1]; // Should be last in structure
  
} OtxSpm1IoInVoiceDecoderInitS;

typedef struct {
  unsigned short nPayloadType;
  
} OtxVoiceDecoderInitS;

typedef struct {
  unsigned long nTimestamp;
  unsigned short coData;
  unsigned short pData[1];
} OtxSpm1IoInVoiceDecoderPayloadDataS;

/////////////////////////// DIRECT CODECS DEVICES ///////////////////////////////////

/* BELLOW NOW DEFINED OdSpmI.h
typedef struct {
  unsigned short inputDataFormat;

  unsigned short bEnablePostFilter;         // @field  Post-filter (on/off)
  unsigned short bEnableVad;                // @field  Voice Activity Detector enable
  unsigned short bEnableHighPassFilter;     // @field  High Pass Filter enable
  unsigned short nBitRate;                  // @field  Encoder bitrate    
} OtxSpm1IoInVoiceEncoderG723InitS;


typedef struct {
  unsigned short inputDataFormat;
  
  unsigned short nEncBitRate;               // @field  Encoder bitrate
  unsigned short nDecBitRate;               // @field  Decoder bitrate  
} OtxSpm1IoInVoiceEncoderG726InitS;


typedef struct {
  unsigned short inputDataFormat;
  
  unsigned short bEnableEncVad;             // @field  Encoder voice detector
  unsigned short bEnableDecPostFilter;      // @field  Decoder post-filter
} OtxSpm1IoInVoiceEncoderG729InitS;

typedef struct {
  unsigned short outputDataFormat;

  unsigned short bEnablePostFilter;         // @field  Post-filter (on/off)
  unsigned short bEnableVad;                // @field  Voice Activity Detector enable
  unsigned short bEnableHighPassFilter;     // @field  High Pass Filter enable
  unsigned short nBitRate;                  // @field  Encoder bitrate      
} OtxSpm1IoInVoiceDecoderG723InitS;

typedef struct {
  unsigned short outputDataFormat;

  unsigned short nEncBitRate;               // @field  Encoder bitrate
  unsigned short nDecBitRate;               // @field  Decoder bitrate  
} OtxSpm1IoInVoiceDecoderG726InitS;

typedef struct {
  unsigned short outputDataFormat;

  unsigned short bEnableEncVad;             // @field  Encoder voice detector
  unsigned short bEnableDecPostFilter;      // @field  Decoder post-filter  
} OtxSpm1IoInVoiceDecoderG729InitS;

*/
/////////////////////////////////////////////////////////////////////////////////////

#define SPM1_LDEVICE_VOICE_DECODER 0x2100 //DUMMY VALUES!!!
#define SPM1_LDEVICE_VOICE_ENCODER 0x2200

#define OTXSPM1_IO_VOC_SET_PAYLOAD_TYPE             0x00c1
#define OTXSPM1_IO_VOC_ENCODER_SET_PORTION_SIZE     0x00c2
#define OTXSPM1_IO_VOC_ENCODER_GET_PORTION_SIZE     0x00c3
#define OTXSPM1_IO_VOC_GET_PAYLOAD_TYPE             0x00c4
#define OTXSPM1_IO_VOC_JITTER_INIT                  0x00c5
#define OTXSPM1_IO_VOC_SET_JITTER_START_TIMESTAMP   0x00c6

#define OTXDSP_SDK_GET_CPU_LOAD 0x0300


#define SPM1_HANDLE_SYSTEM  0x2300

/*------------------------------------------------------- File Description -*\ 

  Copyright (C) Odin TeleSystems Inc., 1999-2008


  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.
  
\*--------------------------------------------------------------------------*/
#endif /* DSP_OTXSPM1_IO_H */


